diff --git a/src/backend/optimizer/util/restrictinfo.c b/src/backend/optimizer/util/restrictinfo.c
index ef8df3d098..25c444d149 100644
--- a/src/backend/optimizer/util/restrictinfo.c
+++ b/src/backend/optimizer/util/restrictinfo.c
@@ -378,15 +378,12 @@ commute_restrictinfo(RestrictInfo *rinfo, Oid comm_op)
 /*
  * restriction_is_or_clause
  *
- * Returns t iff the restrictinfo node contains an 'or' clause.
+ * Returns true iff the restrictinfo node contains an 'or' clause.
  */
 bool
 restriction_is_or_clause(RestrictInfo *restrictinfo)
 {
-	if (restrictinfo->orclause != NULL)
-		return true;
-	else
-		return false;
+	return (restrictinfo->orclause != NULL);
 }
 
 /*
